<?php
namespace Planejamento\Repositories;

class Itrestembprat extends \Doctrine\ORM\EntityRepository
{

    public static function incluiNovoItrestembprat($nrrestembprat, $cdcontainer, $vrmincontainer, $nrordem, $nrorg){
        $sql = "INSERT INTO ITRESTEMBPRAT
                (NRRESTEMBPRAT, CDCONTAINER, VRMINCONTAINER, NRORDEM, NRORG)
                VALUES
                (:NRRESTEMBPRAT, :CDCONTAINER, :VRMINCONTAINER, :NRORDEM, :NRORG)";


        $params = array(
            "NRRESTEMBPRAT" => $nrrestembprat,
            "CDCONTAINER" => $cdcontainer,
            "VRMINCONTAINER" => $vrmincontainer,
            "NRORDEM" => $nrordem,
            "NRORG" => $nrorg,
        );

        $em = \Setforms2\Shared\Registry::getEntityManager();
        $result = $em->getConnection()->fetchAll($sql, $params);
    }

    public static function updateItrestembprat($vrmincontainer, $nrordem, $nrrestembprat, $cdcontainer, $nrorg)
    {
        $sql= "UPDATE ITRESTEMBPRAT
               SET VRMINCONTAINER = :VRMINCONTAINER,
               NRORDEM = :NRORDEM
               WHERE NRRESTEMBPRAT = :OLD_NRRESTEMBPRAT AND
               CDCONTAINER = :OLD_CDCONTAINER AND
               NRORG = :NRORG";

        $params = array(
            "VRMINCONTAINER" => $vrmincontainer,
            "NRORDEM" => $nrordem,
            "OLD_NRRESTEMBPRAT" => $nrrestembprat,
            "OLD_CDCONTAINER" => $cdcontainer,
            "NRORG" => $nrorg
        );

        $em = \Setforms2\Shared\Registry::getEntityManager();
        $result = $em->getConnection()->fetchAll($sql, $params);

    }

    /**
     * Método que deleta um item de acordo com o nrrestembprat e container
     * @param $nrrestembprat
     * @param $cdcontainer
     * @param $nrorg
     */

    public static function deleteItrestembprat($nrrestembprat, $cdcontainer, $nrorg)
    {
        $sql = "DELETE FROM ITRESTEMBPRAT
                WHERE NRRESTEMBPRAT = :OLD_NRRESTEMBPRAT AND
                CDCONTAINER = :OLD_CDCONTAINER AND
                NRORG = :NRORG";

        $params = array(
            "OLD_NRRESTEMBPRAT" => $nrrestembprat,
            "OLD_CDCONTAINER" => $cdcontainer,
            "NRORG" => $nrorg);

        $em = \Setforms2\Shared\Registry::getEntityManager();
        $result = $em->getConnection()->fetchAll($sql, $params);
    }

    /**
     * Método que deleta dos os itens pelo nrrestembprat.
     * @param $nrrestembprat
     * @return array
     * @throws \Exception
     */
    public static function deleteItens($nrrestembprat){
        $sql = "DELETE FROM ITRESTEMBPRAT
                WHERE NRRESTEMBPRAT = :P_NRRESTEMBPRAT";
        $params = array(":P_NRRESTEMBPRAT" => $nrrestembprat);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public static function InsereImportacao($nrDestino, $nrOrigem){
        $sql = "INSERT INTO ITRESTEMBPRAT
(NRRESTEMBPRAT, CDCONTAINER, VRMINCONTAINER, NRORDEM)

SELECT :P_NRRESTEMBPRAT,  CDCONTAINER, VRMINCONTAINER, NRORDEM
FROM ITRESTEMBPRAT
WHERE NRRESTEMBPRAT = :P_NRRESTEMBPRATORI
";
        $params = array(":P_NRRESTEMBPRAT" => $nrDestino,
                        ":P_NRRESTEMBPRATORI" => $nrOrigem);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }
}