<?php

require_once 'base/OrganizacaoEntityBase.php';


/**
 * OrganizacaoEntity.
 *
 * @package    Geral
 * @subpackage Entity
 *
 * @author     alessandrobartels - 14/06/2011
 *
 */
class OrganizacaoEntity extends OrganizacaoEntityBase
{


    /**
     * Retorna OrganizacaoEntity passando numero como parametro.
     *
     * @param integer $nrOrg Numero da Organizacao.
     *
     * @return OrganizacaoEntity | NULL
     *
     * @author alessandrobartels - 14/06/2011.
     */
    public function retornaOrganizacao($nrOrg){
        $organizacao = Organizacao::retornaOrganizacao($nrOrg);
        if (is_object($organizacao) === true) {
            return $organizacao;
        } else {
            return null;
        }

    }

    /**
     * Retorna entity da Organizacao passando nome acesso como parametro.
     *
     * @param string $Nmacesso Nome de acesso da organização.
     *
     * @return OrganizacaoEntity
     *
     * @author leonardocarvalho - 09/09/2013.
     */
    public function retornaOrganizacaoByNmacesso($Nmacesso){
        $organizacao = Organizacao::retornaOrganizacaoByNmacesso($Nmacesso);
        if (is_object($organizacao) === true) {
            return $organizacao;
        } else {
            return null;
        }

    }


}